Subject: Re: g++ command, missing packages?
From: "Gerrit P. Haase" <[email-masked]>
To: "Angelika Olsson" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Wed, 14 Jan 2004 11:16:56 +0100

Hello Angelika,

> Would love to, how do I get the output from cygcheck. What is it?

Key in:

$ cygcheck -c gcc
Cygwin Package Information
Package              Version        Status
gcc                  3.3.1-3        OK

$ cygcheck -c gcc-g++
Cygwin Package Information
Package              Version        Status
gcc-g++              3.3.1-3        OK

To get a summeray use `cygcheck -svr' (if you send it to the list please
send as attachment).

>>>Am I not using the
>>>right command? 

>>No, you are using the correct command.  You just haven't installed it or
>>Cygwin can't find it for some reason.

> As far as I can see I have downloaded and installed these packages

> gcc:
> gcc-ada
> gcc-core
> gcc-g77
> gcc-g++
> gcc-gpc
> gcc-java

> gcc-mingw:
> gcc-mingw-ada
> gcc-mingw-core
> gcc-mingw-g77
> gcc-mingw-g++
> gcc-mingw-gpc
> gcc-mingw-java

> what else do I need? Any system/env. variables need to set?

Ah I see, you have all but the `gcc' package. Please install the `gcc'
package. 

It is my fault, the `gcc-core' package should be the actual compiler,
not `gcc' but as it is now, `gcc-core' is just the source for the `gcc'
package. 

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/